Package: org.grails.config.yaml

## [Java] Class YamlPropertySourceLoader

- org.grails.config.yaml.YamlPropertySourceLoader

- All Implemented Interfaces and Traits:
    org.springframework.boot.env.PropertySourceLoader

      @org.springframework.core.annotation.Order(Ordered.HIGHEST_PRECEDENCE)
      public class YamlPropertySourceLoader
      extends org.springframework.beans.factory.config.YamlProcessor
      implements org.springframework.boot.env.PropertySourceLoader

  Replacement for Spring Boot's YAML loader that uses Grails' NavigableMap.

  Authors:
    graemerocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String[]` | `getFileExtensions()`
    `` | `public java.util.List<org.springframework.core.env.PropertySource<?>>` | `load(java.lang.String name, org.springframework.core.io.Resource resource)`
    `` | `public java.util.List<org.springframework.core.env.PropertySource<?>>` | `load(java.lang.String name, org.springframework.core.io.Resource resource, java.util.List<java.lang.String> filteredKeys)`
    `` | `public java.util.List<java.util.Map<java.lang.String, java.lang.Object>>` | `load()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.beans.factory.config.YamlProcessor` | `org.springframework.beans.factory.config.YamlProcessor#setResources([Lorg.springframework.core.io.Resource;), org.springframework.beans.factory.config.YamlProcessor#setDocumentMatchers([Lorg.springframework.beans.factory.config.YamlProcessor$DocumentMatcher;), org.springframework.beans.factory.config.YamlProcessor#setMatchDefault(boolean), org.springframework.beans.factory.config.YamlProcessor#setResolutionMethod(org.springframework.beans.factory.config.YamlProcessor$ResolutionMethod), org.springframework.beans.factory.config.YamlProcessor#setSupportedTypes([Ljava.lang.Class;), org.springframework.beans.factory.config.YamlProcessor#wait(long), org.springframework.beans.factory.config.YamlProcessor#wait(long, int), org.springframework.beans.factory.config.YamlProcessor#wait(), org.springframework.beans.factory.config.YamlProcessor#equals(java.lang.Object), org.springframework.beans.factory.config.YamlProcessor#toString(), org.springframework.beans.factory.config.YamlProcessor#hashCode(), org.springframework.beans.factory.config.YamlProcessor#getClass(), org.springframework.beans.factory.config.YamlProcessor#notify(), org.springframework.beans.factory.config.YamlProcessor#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public java.lang.String[] getFileExtensions()

    - #### @java.lang.Override public java.util.List<org.springframework.core.env.PropertySource<?>> load(java.lang.String name, org.springframework.core.io.Resource resource)

    - #### public java.util.List<org.springframework.core.env.PropertySource<?>> load(java.lang.String name, org.springframework.core.io.Resource resource, java.util.List<java.lang.String> filteredKeys)

    - #### public java.util.List<java.util.Map<java.lang.String, java.lang.Object>> load()